wint_t(3type)

NAME
wint_t, WEOF - integer type capable of storing any wchar_t of WEOF

LIBRARY
Standard C library (libc)

SYNOPSIS
#include <wchar.h>

typedef /* ... */  wint_t;

#define WEOF        /* ... */

#include <stdint.h>

#define WINT_WIDTH  /* ... */
#define WINT_MAX    /* ... */
#define WINT_MIN    /* ... */

DESCRIPTION
wint_t is a type used in functions that work with wide characters. It is capable of storing any valid wchar_t or WEOF. It is an integer type.

WEOF is used by wide-character functions to indicate the end of an input file or an error. It is of type wint_t.

STANDARDS
C11, POSIX.1-2008.

HISTORY
C99, POSIX.1-2001.

The WINT_WIDTH macro was added in C23.

NOTES
The following header also provides wint_t and WEOF: <wctype.h>.

SEE ALSO
wchar_t(3type), fputwc(3)